### Property

# WebKit Download:allow-overwrite

since: 2.6

#### Declaration

    property allow-overwrite: gboolean [ read, write ]

#### Description [src]

Whether or not the download is allowed to overwrite an existing file on disk. If this property is `FALSE` and the destination already exists, the download will fail.

Type:`gboolean`

Available since: 2.6

Default value | FALSE
Getter method | `webkit_download_get_allow_overwrite()`
Setter method | `webkit_download_set_allow_overwrite()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no